
@keyframes textColorChange {
  0%, 100% { color: #FF0000; text-shadow: 0 0 10px #FF0000; }  /* Red */
  25% { color: #00FF00; text-shadow: 0 0 10px #00FF00; } /* Green */
  50% { color: #0000FF; text-shadow: 0 0 10px #0000FF; } /* Blue */
  75% { color: #FFD700; text-shadow: 0 0 10px #FFD700; } /* Gold */
}

#aiThinking {
  display: none;
  position: fixed;
  width: 80%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 40px;
  font-weight: bold;
  text-align: center;
  animation: textColorChange 1s infinite;
  background: rgba(0, 0, 0, 0.7);
  padding: 20px;
  border-radius: 15px;
  z-index: 9999999999999999999999999999999999999999999;
}

.recording-blink {
  animation: colorCycle 2s infinite;
  font-weight: bold;
  font-size: 18px;
  z-index: 99999999999;
  padding: 20px;
  border-radius: 10px;
  background-color: black;
  box-shadow: 0 0 10px rgb(255, 255, 255, 0.5);;
  text-align: center;
}

@keyframes colorCycle {
  0% { color: #FF0000; } /* Red */
  25% { color: #00FF00; } /* Green */
  50% { color: #0000FF; } /* Blue */
  75% { color: #FFD700; } /* Gold */
  100% { color: #FF0000; } /* Back to red */
}